WMEMCPY(3)

NAME
wmemcpy - copy wide characters

SYNOPSIS
#include <wchar.h>
wchar_t *
wmemcpy(wchar_t * restrict dst, const wchar_t * restrict src, size_t len);

DESCRIPTION
The wmemcpy() function copies len wide characters from buffer src to buffer dst.

RETURN VALUES
The wmemcpy() function returns the original value of dst.

SEE ALSO
wcscpy(3), wcslcpy(3), wmemmove(3)

STANDARDS
The wmemcpy() function conforms to isoC-99 and was first introduced in isoC-amd1.

BUGS
In this implementation wmemcpy() is implemented using bcopy(3), and therefore the buffers may overlap. On other systems, copying overlapping buffers may produce surprises. A simpler solution is to not use wmemcpy().